
From: Dominik Brodowski <linux@dominikbrodowski.net>

Add pcmcia_device_id table.

Signed-off-by: Dominik Brodowski <linux@dominikbrodowski.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/isdn/hisax/teles_cs.c |    7 +++++++
 1 files changed, 7 insertions(+)

diff -puN drivers/isdn/hisax/teles_cs.c~pcmcia-id_table-for-teles_cs drivers/isdn/hisax/teles_cs.c
--- 25/drivers/isdn/hisax/teles_cs.c~pcmcia-id_table-for-teles_cs	2005-02-28 15:48:48.000000000 -0800
+++ 25-akpm/drivers/isdn/hisax/teles_cs.c	2005-02-28 15:48:48.000000000 -0800
@@ -489,6 +489,12 @@ static int teles_cs_event(event_t event,
     return 0;
 } /* teles_cs_event */
 
+static struct pcmcia_device_id teles_ids[] = {
+	PCMCIA_DEVICE_PROD_ID12("TELES", "S0/PC", 0x67b50eae, 0xe9e70119),
+	PCMCIA_DEVICE_NULL,
+};
+MODULE_DEVICE_TABLE(pcmcia, teles_ids);
+
 static struct pcmcia_driver teles_cs_driver = {
 	.owner		= THIS_MODULE,
 	.drv		= {
@@ -496,6 +502,7 @@ static struct pcmcia_driver teles_cs_dri
 	},
 	.attach		= teles_attach,
 	.detach		= teles_detach,
+	.id_table       = teles_ids,
 };
 
 static int __init init_teles_cs(void)
_
